#!/bin/bash
#
#	PIC Metal Detector - Frequency Counting PIC Based Metal Detector
#	Copyright (C) 2013  Nicholas Tomlinson
#	
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#	
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#	
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
#

rm -f *.map *.cod *.hex *.lst *.o *.asm

TIMESTAMP=$(date +"%Y-%m-%d-%H-%M-%S" -u)

function compile {
	echo "[*] Compiling $1.c"
	sdcc -S -mpic14 -p16f648a --use-non-free -DTIMESTAMP="\"$TIMESTAMP\"" $1.c
	
	echo "[*] Assembling $1.asm"
	gpasm -w 1 -c $1.asm
}

compile main
compile counter
compile eeprom
compile led
compile pwm
compile serial

echo "[*] Linking"
gplink -w -m -o md.hex \
	-s /usr/share/gputils/lkr/16f648a_g.lkr \
	/usr/share/sdcc/non-free/lib/pic14/pic16f648a.lib \
	/usr/share/sdcc/lib/pic14/libsdcc.lib \
	main.o counter.o eeprom.o led.o pwm.o serial.o

echo "[*] Size of program: $(hexcounter md.hex 0 1fff 2)"

