/*
	PIC Metal Detector - Frequency Counting PIC Based Metal Detector
	Copyright (C) 2013  Nicholas Tomlinson
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

#define __16f648a
#include <pic16f648a.h>

#include "led.h"

void init_led()
{
	unsigned char led_pins = (1 << 2) | (1 << 3) | (1 << 4);
	PORTA &= ~led_pins;
}

void led_on(unsigned char n)
{
	if (n > 2){
		return;
	}
	
	TRISA &= ~(1 << (2 + n));
}

void led_off(unsigned char n)
{
	if (n > 2){
		return;
	}
	
	TRISA |= 1 << (2 + n);
}
