/*
	PIC Metal Detector - Frequency Counting PIC Based Metal Detector
	Copyright (C) 2013  Nicholas Tomlinson
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

#ifndef SERIAL_H
#define SERIAL_H

void serial_init();

void serial_transmit_char(char c);
void serial_transmit_string(__code const char *string);
void serial_transmit_hex(unsigned char h);
void serial_transmit_byte(unsigned char b);
void serial_transmit_int(unsigned int i);

char serial_poll();
char serial_receive_char(char echo);
unsigned char serial_receive_hex();
unsigned char serial_receive_byte();
unsigned int serial_receive_int();

#endif
